Page MenuHome

crash when going to shading tab when i have vieuwportshading enabled
Closed, InvalidPublic

Description

System Information
Operating system: arch Linux (instantos)
Graphics card: 750ti nouveau drivers.
CPU:3950x
ram:32Gigs

Blender Version
Broken: (example: 2.82)
no clue
Short description of error

crash when going to shading tab when i have vieuwportshading enabled

Exact steps for others to reproduce the error
see above

blender.crash.txt

Blender 2.82 (sub 7), Commit date: 2020-03-12 05:06, Hash 375c7dc4caf4

bpy.ops.object.delete(use_global=False, confirm=False) # Operator
Deleted 1 object(s) # Info
bpy.ops.object.add(type='MESH', enter_editmode=False, location=(0, 0, 0)) # Operator
bpy.context.space_data.shading.type = 'RENDERED' # Property

backtrace

blender(BLI_system_backtrace+0x34) [0x556989b2df64]
blender(+0xed49f7) [0x5569879a09f7]
/usr/lib/libc.so.6(+0x3c3e0) [0x7f72820513e0]
/usr/lib/libjemalloc.so.2(+0x521d6) [0x7f728c58b1d6]
/usr/lib/dri/nouveau_dri.so(+0x86819a) [0x7f724b66e19a]
/usr/lib/dri/nouveau_dri.so(+0x867f43) [0x7f724b66df43]
/usr/lib/dri/nouveau_dri.so(+0x867f43) [0x7f724b66df43]
/usr/lib/dri/nouveau_dri.so(+0x7f1244) [0x7f724b5f7244]
/usr/lib/dri/nouveau_dri.so(+0x7fc69c) [0x7f724b60269c]
/usr/lib/dri/nouveau_dri.so(+0x8633dd) [0x7f724b6693dd]
/usr/lib/dri/nouveau_dri.so(+0x863f1a) [0x7f724b669f1a]
/usr/lib/dri/nouveau_dri.so(+0x146a26) [0x7f724af4ca26]
/usr/lib/dri/nouveau_dri.so(+0x155063) [0x7f724af5b063]
/usr/lib/dri/nouveau_dri.so(+0x15a4ab) [0x7f724af604ab]
/usr/lib/dri/nouveau_dri.so(+0x15d193) [0x7f724af63193]
/usr/lib/dri/nouveau_dri.so(+0x180f1d) [0x7f724af86f1d]
/usr/lib/dri/nouveau_dri.so(+0x1a9e93) [0x7f724afafe93]
/usr/lib/dri/nouveau_dri.so(+0x26d4b3) [0x7f724b0734b3]
blender(GPU_shader_create_ex+0x60c) [0x556989a1fc9c]
blender(GPU_shader_create+0x13) [0x556989a20193]
blender(GPU_shader_get_builtin_shader_with_config+0x15f) [0x556989a2081f]
blender(GPU_batch_program_set_builtin_with_config+0xe) [0x556989a082fe]
blender(+0x17a53e5) [0x5569882713e5]
blender(nodelink_batch_end+0x21) [0x5569882738e1]
blender(node_draw_nodetree+0x128) [0x5569882772c8]
blender(drawnodespace+0x466) [0x5569882778b6]
blender(ED_region_do_draw+0x881) [0x556987ec6341]
blender(wm_draw_update+0x48d) [0x556987b66e1d]
blender(WM_main+0x34) [0x556987b64e64]
blender(main+0x35f) [0x55698797051f]
/usr/lib/libc.so.6(__libc_start_main+0xf2) [0x7f728203c002]
blender(_start+0x2e) [0x55698799ccfe]

Event Timeline

Robert Guetzkow (rjg) changed the task status from Needs Triage to Needs Information from User.Fri, May 22, 9:43 PM

Unfortunately the nouveau drivers are not supported as documented on the requirements page.

NVIDIA: GeForce 400 and newer, Quadro Tesla GPU architecture and newer, with NVIDIA drivers (list of all GeForce and Quadro GPUs)

Please install the official Nvidia drivers and report back if this resolved the issue.

More than a week without reply or activity.
Due to the policy of the tracker closing for until required info/data are provided.

If the problem persists please open a new report with the required information.